org.eclipse.graphiti.func

## Interface IReconnection

All Known Subinterfaces:
  IReconnectionFeature

All Known Implementing Classes:
  DefaultReconnectionFeature, ReconnectionFeatureForPattern

    public interface IReconnection

The Interface IReconnection.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `canceledReconnect(IReconnectionContext context)` Will called if the connection reconnect process was canceled after dragging the start or end of the connection.
`boolean` `canReconnect(IReconnectionContext context)` Can reconnect.
`boolean` `canStartReconnect(IReconnectionContext context)` Can start reconnect.
`void` `postReconnect(IReconnectionContext context)` Post reconnnect.
`void` `preReconnect(IReconnectionContext context)` Pre reconnnect.
`void` `reconnect(IReconnectionContext context)` Reconnnect.

### Method Detail

#### canReconnect

    boolean canReconnect(IReconnectionContext context)

Can reconnect.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### reconnect

    void reconnect(IReconnectionContext context)

Reconnnect.

Parameters:
  `context` - the context

#### preReconnect

    void preReconnect(IReconnectionContext context)

Pre reconnnect.

Parameters:
  `context` - the context

#### postReconnect

    void postReconnect(IReconnectionContext context)

Post reconnnect.

Parameters:
  `context` - the context

#### canceledReconnect

    void canceledReconnect(IReconnectionContext context)

Will called if the connection reconnect process was canceled after dragging the start or end of the connection. E.g. user pressed ESC, user clicked on an invalid target, focus was lost, ...

Parameters:
  `context` - the context
Since:
  0.9

#### canStartReconnect

    boolean canStartReconnect(IReconnectionContext context)

Can start reconnect.

Parameters:
  `context` - the context
Returns:
  true, if successful
Since:
  0.11